package net.jmchilton.spring.collect.google;

import net.jmchilton.spring.collect.BaseNamespaceHandler;

/**
 * This class serves as the {@link org.springframework.beans.factory.xml.NamespaceHandler} 
 * for the <a href="http://code.google.com/p/google-collections/">Google Collections</a> namespace. The 
 * superclass {@link BaseNamespaceHandler} contains all of the logic 
 * but fetches resources from the package containing this class. This 
 * class is registered as the {@link org.springframework.beans.factory.xml.NamespaceHandler} for the 
 * Google Collections namespace as required by the Spring in the 
 * file {@code META-INF/spring.handlers}.
 *  
 * See <a href="../../../../../google-spec.html">this page</a> for a list 
 * and description of the XML elements that belong to this namespace and are
 * handled by this class.
 *  
 * @see BaseNamespaceHandler
 * @see org.springframework.beans.factory.xml.NamespaceHandlerSupport
 * @see org.springframework.beans.factory.xml.NamespaceHandler
 * @see <a href="http://code.google.com/p/google-collections/">Google Collections</a>
 * 
 * @author John Chilton
 *
 */
public class GoogleNamespaceHandler extends BaseNamespaceHandler {}
